Bug 195070 - [PATCH] Update audio/ncmpcpp to 0.6.1
Summary: [PATCH] Update audio/ncmpcpp to 0.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: Johannes Jost Meixner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-16 11:30 UTC by yamagi
Modified: 2014-12-29 11:27 UTC (History)
2 users (show)

See Also:
yamagi: maintainer-feedback? (dhn)


Attachments
Update to 0.6.1 (5.57 KB, patch)
2014-11-16 11:30 UTC, yamagi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description yamagi 2014-11-16 11:30:02 UTC
Created attachment 149479 [details]
Update to 0.6.1

This is a major update with a lot of changes and bugfixes. A full changelog can be found on the homepage: http://ncmpcpp.rybczak.net/

Changes to the port:
- Remove broken MASTER_SITES
- Add dependency to devel/boost-libs
- Force a C++11 compiler and stdlib
- Force BOOST_LIB_SUFFIX to be empty (required for configure)
- Enable UTF8 by default (most music collections nowadays have files with utf-8 encoded names and tags)
- Enable TAGLIB by default (taglib is nice to have but adds a dependecy to the rather small audio/taglib)
- Move the plist into a dedicated file
- Do not install ${DOCSDIR}/keys since it was removed
- Install ${DOCSDIR}/ncmpcpp-completion.bash and ${DOCSDIR}/bindings
- Update pkg-message
- Remove files/patch-src__visualizer.h since it's not needed any more

This update was tested on FreeBSD 10.1 and FreeBSD 9.3. User will most likely need to update their ~/.ncmpcpp/config and replace .ncmpcpp/keys with ~/.ncmpcpp/bindings.
Comment 1 Bugzilla Automation freebsd_committer 2014-11-16 11:30:02 UTC
Auto-assigned to maintainer dhn@FreeBSD.org
Comment 2 yamagi 2014-11-16 11:35:12 UTC
Forgot this change:
- Add files/patch-src__status.cpp to include missing headers.
Comment 3 yamagi 2014-12-10 13:29:14 UTC
Any news on this? :)
Comment 4 Johannes Jost Meixner freebsd_committer 2014-12-15 17:02:30 UTC
I'll take it (maintainer timeout, four weeks).
Comment 5 commit-hook freebsd_committer 2014-12-29 09:02:34 UTC
A commit references this bug:

Author: xmj
Date: Mon Dec 29 09:01:37 UTC 2014
New revision: 375777
URL: https://svnweb.freebsd.org/changeset/ports/375777

Log:
  audio/ncmpcpp: Update to 0.6.2

  - Remove broken MASTER_SITES
  - Force a C++11 compiler and stdlib
  - Add dependency to devel/boost-libs
  - Force BOOST_LIB_SUFFIX to be empty (required for configure)
  - Enable UTF8 by default (most music collections nowadays have files with utf-8
    encoded names and tags)
  - Enable TAGLIB by default (taglib is nice to have but adds a dependecy to the
    rather small audio/taglib)
  - Do not install ${DOCSDIR}/keys since it was removed
  - Install ${DOCSDIR}/ncmpcpp-completion.bash and ${DOCSDIR}/bindings
  - Update pkg-message
  - Remove files/patch-src__visualizer.h since it's not needed any more

  PR:		195070
  Differential Revision:	https://reviews.freebsd.org/D1325
  Submitted by:	yamagi@yamagi.org
  Approved by:	maintainer timeout (4 weeks)
  Approved by:	koobs (mentor)

Changes:
  head/audio/ncmpcpp/Makefile
  head/audio/ncmpcpp/distinfo
  head/audio/ncmpcpp/files/patch-src__status.cpp
  head/audio/ncmpcpp/files/patch-src__visualizer.h
  head/audio/ncmpcpp/pkg-descr
  head/audio/ncmpcpp/pkg-message
Comment 6 Johannes Jost Meixner freebsd_committer 2014-12-29 11:27:21 UTC
Committed, with minor changes. Thanks!